com.r3corda.contracts / InterestRateSwap / Clauses / AbstractIRSClause

# AbstractIRSClause

`abstract class AbstractIRSClause : Clause<State, Commands, UniqueIdentifier>`

Common superclass for IRS contract clauses, which defines behaviour on match/no-match, and provides helper functions for the clauses.

### Constructors

<init> | `AbstractIRSClause()` Common superclass for IRS contract clauses, which defines behaviour on match/no-match, and provides helper functions for the clauses.

### Inherited Properties

requiredCommands | `open val requiredCommands: Set<Class<out CommandData>>` Determine whether this clause runs or not

### Functions

checkLegAmounts | `fun checkLegAmounts(legs: List<CommonLeg>): Unit`
checkLegDates | `fun checkLegDates(legs: List<CommonLeg>): Unit`
checkRates | `fun checkRates(legs: List<CommonLeg>): Boolean`
checkSchedules | `fun checkSchedules(legs: List<CommonLeg>): Boolean`
getFloatingLegPaymentsDifferences | `fun getFloatingLegPaymentsDifferences(payments1: Map<LocalDate, Event>, payments2: Map<LocalDate, Event>): List<<ERROR CLASS><LocalDate, <ERROR CLASS><FloatingRatePaymentEvent, FloatingRatePaymentEvent>>>` Compares two schedules of Floating Leg Payments, returns the difference (i.e. omissions in either leg or changes to the values).

### Inheritors

Agree | `class Agree : AbstractIRSClause`
Fix | `class Fix : AbstractIRSClause`
Mature | `class Mature : AbstractIRSClause`
Pay | `class Pay : AbstractIRSClause`